ubuntu-kylin-sso-client (0.1.2.5) bionic; urgency=medium

  * Fix build with non-existing home directory.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 09 Mar 2018 14:09:06 +0700

ubuntu-kylin-sso-client (0.1.2.4) bionic; urgency=medium

  * Depend on python-pil instead of python-imaging.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 16 Feb 2018 17:26:58 +0700

ubuntu-kylin-sso-client (0.1.2.3) utopic; urgency=low

  * Use Ubuntu Kylin forum registation.
  * Update some string.

 -- Luo Lei <luolei@ubuntukylin.com>  Thu, 16 Oct 2014 10:03:27 +0800

ubuntu-kylin-sso-client (0.1.2.2) utopic; urgency=low

  * Use https schema.

 -- Luo Lei <luolei@ubuntukylin.com>  Tue, 30 Sep 2014 13:31:49 +0800

ubuntu-kylin-sso-client (0.1.2.1) utopic; urgency=low

  * Fix some warnings and uploaded by bug #1371165.

 -- Jack Yu <jackyu@ubuntukylin.com>  Mon, 23 Sep 2014 00:15:13 +0800

ubuntu-kylin-sso-client (0.1.2) utopic; urgency=low

  * Alter UI to Ubuntu Kylin.

 -- Luo Lei <luolei@ubuntukylin.com>  Fri, 19 Sep 2014 09:35:18 +0800

ubuntu-kylin-sso-client (0.1.1) utopic; urgency=low

  * Change python module name to ubuntu_kylin_sso to avoid conflict.

 -- Luo Lei <luolei@ubuntukylin.com>  Thu, 11 Sep 2014 11:29:21 +0800

ubuntu-kylin-sso-client (0.1.0) utopic; urgency=low

  * Fork ubuntu-sso-client for Ubuntu Kylin Single Sign-On.

 -- Luo Lei <luolei@ubuntukylin.com>  Tue, 09 Sep 2014 14:55:25 +0800

ubuntu-sso-client (13.10-0ubuntu1) saucy; urgency=low

  * New upstream release.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Tue, 08 Oct 2013 14:35:48 -0400

ubuntu-sso-client (13.09-0ubuntu1) saucy; urgency=low

  * New upstream release.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Fri, 20 Sep 2013 10:29:45 -0400

ubuntu-sso-client (13.08-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/control, debian/tests:
    - Add autopkgtest config.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Tue, 06 Aug 2013 16:26:58 -0400

ubuntu-sso-client (13.07-0ubuntu1) saucy; urgency=low

  * New upstream release.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 03 Jul 2013 18:00:29 -0400

ubuntu-sso-client (13.05-0ubuntu1) saucy; urgency=low

  * New upstream release.
    - Include the Ubuntu One certificates here.
  * debian/control:
    - Breaks/Replaces on older python-ubuntuone-storageprotocol.
  * debian/*.install:
    - Remove debian/tmp/ from the file listings.
  * debian/postinst, debian/postrm, debian/prerm:
    - Remove obsolete package scripts.
  * debian/watch:
    - Update the watch file for the new series.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Mon, 03 Jun 2013 17:01:55 -0400

ubuntu-sso-client (4.2.0-0ubuntu1) raring; urgency=low

  * New upstream release.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 27 Mar 2013 13:08:02 -0400

ubuntu-sso-client (4.1.92-0ubuntu2) raring; urgency=low

  * debian/control:
    - Fix python-oauthlib dependency (LP: #1132455)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Tue, 26 Mar 2013 11:23:15 -0400

ubuntu-sso-client (4.1.92-0ubuntu1) raring; urgency=low

  * New upstream release.
    - Update to use Ubuntu One branding and URLs.
    - Add the version to constants.py as well.
    - Replace PROJECT_NAME as well to have a single location for it.
    - Generate the constants.py as a usable module from within tests.
    - Replace the prefix in constants.py only in the installed copy,
      and not local.
    - Use the correct variable for replacing the "prefix" in constants.py.
    - Update author information in setup().
  * debian/control:
    - Require ubuntuone-client-data for the icon.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Thu, 21 Mar 2013 16:56:59 -0400

ubuntu-sso-client (4.1.91-0ubuntu1) raring; urgency=low

  * New upstream release.
    - Switch to python-oauthlib from python-oauth. (LP: #1077087)
  * debian/control:
    - Update dependencies for oauth library switch.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 20 Feb 2013 15:46:38 -0500

ubuntu-sso-client (4.1.90-0ubuntu1) raring; urgency=low

  * New upstream release.
    - Use a standard LC_CTYPE locale when the LANG is turkish. (LP: #997326)
    - Clean up timers that are slowing down some tests.
    - Fix a dependency on a re-export of a module in twisted.
    - Fix a failing test to use an Exception in a defer callback.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Tue, 29 Jan 2013 11:48:23 -0500

ubuntu-sso-client (4.1.2-0ubuntu1) raring; urgency=low

  * New upstream release.
    - Updates for new pep8 warnings.
    - Re-use states from networkstates on Windows.
    - Support for translations on OS X.
  * debian/control:
    - Update standards version to 3.9.4.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 09 Jan 2013 17:40:15 -0500

ubuntu-sso-client (4.1.0-0ubuntu1) raring; urgency=low

  * New upstream release.
    - Default to ONLINE when NM state check results in error. (LP: #1062051)
    - Switch static code checks to pyflakes.
  * debian/control:
    - Require pyflakes instead of pylint.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Mon, 10 Dec 2012 15:52:30 -0500

ubuntu-sso-client (4.0.0-0ubuntu1) quantal; urgency=low

  * New upstream release.
    - Fix proxy failing to work with Qt 4.8.3 update. (LP: #1061528)
    - Improve test running on darwin platform.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Thu, 04 Oct 2012 15:42:03 -0400

ubuntu-sso-client (3.99.92-0ubuntu1) quantal; urgency=low

  * New upstream release.
    - Merge updated translations from Ubuntu into upstream source.
    - Avoid using gettext.install as it breaks _ for imports. (LP: #1050061)
    - Fix string format handling of register link. (LP: #1052607)
  * debian/ubuntu-sso-client.install:
    - Include the locale files here.
  * debian/control, debian/rules:
    - Require dh-translations always.
    - Only build on dh_python2 using versions of Ubuntu.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 19 Sep 2012 11:21:46 -0400

ubuntu-sso-client (3.99.91-0ubuntu1) quantal; urgency=low

  * New upstream release.
    - Improvements for Windows and OS X ports.
  * debian/patches:
    - Remove patches now included upstream.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Tue, 11 Sep 2012 14:07:13 -0400

ubuntu-sso-client (3.99.90-0ubuntu2) quantal; urgency=low

  * 00_bzr-fix-974637.patch:
    - Allow login from registration dialog, and vice versa. (LP: #974637)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Thu, 06 Sep 2012 14:02:02 -0400

ubuntu-sso-client (3.99.90-0ubuntu1) quantal; urgency=low

  * New upstream release.
    - Use unicode strings when writing to io.StringIO. (LP: #1036270)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Tue, 28 Aug 2012 17:23:52 -0400

ubuntu-sso-client (3.99.4-0ubuntu1) quantal; urgency=low

  * New upstream release.
    - Improvements to allow running on Python 3 in the future.
  * debian/copyright:
    - Update format line to be more in line with dep5.
  * debian/rules:
    - Update to allow building on older versions of Ubuntu.
    - Use the --fail-missing option to dh.
    - Remove the data files which are compiled into the script or code.
    - Remove the unneeded README files.
    - Remove the unneeded egg-info directory.
  * debian/ubuntu-sso-client-qt.install:
    - Don't package files which are built into code elsewhere.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 22 Aug 2012 13:40:34 -0400

ubuntu-sso-client (3.99.3-0ubuntu1) quantal; urgency=low

  * New upstream release.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Tue, 31 Jul 2012 17:06:19 -0400

ubuntu-sso-client (3.99.2-0ubuntu2) quantal-proposed; urgency=low

  * debian/control:
    - Change Recommends of ubuntu-sso-client-gui to Suggests. (LP: #1029552)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Thu, 26 Jul 2012 13:52:33 -0400

ubuntu-sso-client (3.99.2-0ubuntu1) quantal; urgency=low

  * New upstream release.
    - Avoid using /usr/bin/env python in scripts. (LP: #984089)
    - Avoid using xrange, which is not in Python 3. (LP: #1016774)
    - Handle winreg vs. _winreg for Python 2 and 3. (LP: #1016957)
    - Remove the GTK+ UI. (LP: #1017690)
    - Handle urllib differences between Python 2 and 3. (LP: #1018587)
    - Use io.StringIO everywhere, for Python 2 and 3. (LP: #1018599)
    - Use new print syntax for Python 3. (LP: #1018611)
  * debian/control:
    - Remove the -gtk UI package, and update the deps.
  * debian/ubuntu-sso-client-gtk.install:
    - Removed.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Fri, 20 Jul 2012 12:49:23 -0400

ubuntu-sso-client (3.99.1-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release.
    - Handle type annotation when printed from gsettings. (LP: #1007109)
    - Remove back buttons in sign in/up pages. (LP: #1009107)
    - Disable tests broken by GTK+ 3.5 behavior change. (LP: #1014772)
    - Remove code duplication with dirspec. (LP: #1016151)
    - Stop using deprecated dict iteritems/itervalues calls. (LP: #1016707)
    - Stop using deprecated exception handling method. (LP: #1016711)
  * debian/control:
    - Update dependencies.
  * debian/*.install:
    - Remove modules that duplicated code with dirspec.
  * debian/patches:
    - Remove upstreamed patches.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 27 Jun 2012 15:10:41 -0400

ubuntu-sso-client (3.99.0-0ubuntu2) quantal; urgency=low

  * debian/control:
    - Remove explicit build-dep on python-support.
    - Remove unneeded build-dep on simplejson.
    - Remove python-qt4reactor build-dep as it is not in main.
  * debian/rules:
    - Disable running the tests due to qt4reactor not being in main.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Mon, 18 Jun 2012 14:41:32 -0400

ubuntu-sso-client (3.99.0-0ubuntu1) quantal; urgency=low

  * New upstream release.
    - Remove some code duplication in web client. (LP: #904842)
    - Handle starting with the -testsability argument. (LP: #984964)
    - Log more details for SSL validation failure. (LP: #987405)
    - Use the new dev-tools API in tests. (LP: #988809)
    - Use the network detection page before signup/login. (LP: #996025)
    - Fix size of password assistance label in reset dialog. (LP: #999885)
    - ubuntu-sso-login-qt crashed with TypeError in got_state. (LP: #1003692)
  * debian/control:
    - Update dependencies to allow running unit tests during build.
  * debian/patches:
    - Remove upstreamed patches.
  * debian/patches/00_bug711413.patch:
    - Trap DBusException when connecting to session bus. (LP: #711413)
  * debian/patches/01_bug882055.patch:
    - Tell libsoup to use strict ssl with system ca certs. (LP: #882055)
  * debian/rules:
    - Enable unit tests during build.
  * debian/watch:
    - Update to use stable-4-0 series for Quantal.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Fri, 15 Jun 2012 16:52:27 -0400

ubuntu-sso-client (3.0.0-0ubuntu2) precise-proposed; urgency=low

  * debian/patches/01_lp-994632.patch:
    - Made the service use the Qt UI if available, and if no UI is installed,
    propagate a decent error instead of AssertionError (LP: #994632).

 -- Natalia Bidart (nessita) <natalia.bidart@ubuntu.com>  Mon, 07 May 2012 15:52:03 -0300

ubuntu-sso-client (3.0.0-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Fix for test failures. (LP: #973345)
    - Add necessary OpenSSL exception to license. (LP: #968555)
  * debian/copyright:
    - Update to proper dep5 format.
    - Update for OpenSSL exception.
  * debian/patches/00_bzr837-lp-960657.patch:
    - Client hangs on account creation. (LP: #960657)
  * debian/watch:
    - Update for new release.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 11 Apr 2012 15:38:32 -0400

ubuntu-sso-client (2.99.92-0ubuntu2) precise; urgency=low

  * debian/control:
    - Added missing dependency on python-imaging for ubuntu-sso-client-qt
      (LP: #973311).

 -- Natalia Bidart (nessita) <natalia.bidart@ubuntu.com>  Wed, 04 Apr 2012 09:09:39 -0300

ubuntu-sso-client (2.99.92-0ubuntu1) precise; urgency=low

  * New upstream release:
    - Restoring transparency for the overlay widget (LP: #969455).
    - Converting to unicode some data returned by webclient in
      QByteArray format (LP: #961315).
    - Fixed the issue where we use an empty proxy url when the proxy
      was not set in gsettings (LP: #969280).
    - Forced white background (LP: #961346).
  * debian/watch:
    - Updated url to fetch tarball from latest milestone.

 -- Natalia Bidart (nessita) <natalia.bidart@ubuntu.com>  Tue, 03 Apr 2012 12:01:29 -0300

ubuntu-sso-client (2.99.91-0ubuntu1) precise; urgency=low

  * New upstream release:
    - Do not allow ssl errors to be ignored (LP: #959390).
    - Handle wrong credentials properly in qtnetwork webclient
      (LP: #957317).
    - Use HTTPClientFactory to allow replacing the reactor used to connect
      (LP: #929207).
    - Decode the content of help_text (LP: #951371).
    - Adding missing file for translation (LP: #951376).
    - Adding a general error message when the argument received by
      build_general_error_message is not a dict (LP: #865176).
    - Adding some checks to setup_page (LP: #951461).
    - Adding a padding to the right margin of the reset layout, and align
      one of its layout to the left (LP: #945065).
    - Executing hide_error when the user click the refresh captcha link,
      not inside of the _refresh_captcha method, because this is executed
      automatically when a captcha error is generated, so we will always
      miss the error message (LP: #955010).
    - Removing the align property from the label that wasn't necessary
      and was breakint the work wrap. Also adjust the height of the widget
      depending if it has more than one line (LP: #940392).
    - Improve logging operations (LP: #934500).
    - Making LINK_STYLE to be unicode (LP: #950953).
    - Setting the window title equal to the app_name (LP: #949744).
    - The _move_to_email_verification_page wasn't receiving the params
      that the signal emits (LP: #945066).
    - Improve the grammar for the CLOSE_AND_SETUP_LATER button text
      (LP: #949978).
    - Changed the way in which we deal with proxies to work around bugs
      found in the QNetworkAccessManager (LP: #957313).
    - Stopped listening to the proxyAuthenticationRequired to avoid the
      dialog showing more than once (LP: #957170)
    - Made changes in the way the webclient is selected to ensure that qt
      is used when possible (LP: #957169).
    - Connected the WebKit browser correctly so that the tc page gets
      loaded (LP: #933081).
    - Added code to check if the browser with the t&c was already loaded.
      If it is just show the t&c page, otherwise perform the request
      (LP: #956185).
    - Added a translatable string to give more context of the ssl cert
      info to the user (LP: #948119).
    - Provided the logic required for the Qt webclient implementation to
      detect ssl errors and spawn the ssl dialog to allow the user accept
      the ssl cert exceptions (LP: #948134).
    - Changed the qt webclient implementation to use a proxy factory so
      that the correct proxy is chosen according to the request
      (LP: #950088).
    - Added the required code to allow the webclient use authenticated
      proxies and request the creds when needed (LP: #933727).
    - The tooltip should not be shown for titles and subtitles when
      no cut off was needed (LP: #949741).
    - Enable platform-specific styling (LP: #953318).
    - Only import DBus on Linux (LP: #956304).
    - Don't hard-code font sizes.
    - Remove usage of weight property as a numeric; just use bold
      property instead (LP: #953062).
  * Removed patches which were included upstream.
  * debian/watch:
    - Updated url to fetch tarball from latest milestone.
  * debian/ubuntu-sso-client-qt.install:
    - Install Qt UI executables for providing proxy authentication support.
  * debian/control:
    - Added new dependency on python-openssl to python-ubuntu-sso-client.
    - Improved description for ubuntu-sso-client-qt binary package.

 -- Natalia Bidart (nessita) <natalia.bidart@ubuntu.com>  Wed, 21 Mar 2012 12:37:28 -0300

ubuntu-sso-client (2.99.90-0ubuntu2) precise; urgency=low

  * debian/patches/fix-945066.patch:
    - The _move_to_email_verification_page callback wasn't receiving the
      params that the signal emits, thus attempts to verify an email weren't
      succeeding (LP: #945066).
  * In previous changelog there is a typo when specifying the updated
    Standards-Version, it should have been 3.9.3 instead of 3.9.93 (though the
    control file was correctly changed).

 -- Natalia Bidart (nessita) <natalia.bidart@ubuntu.com>  Wed, 07 Mar 2012 15:32:29 -0300

ubuntu-sso-client (2.99.90-0ubuntu1) precise; urgency=low

  * New upstream release:
    [ Diego Sarmentero <diego.sarmentero@canonical.com> ]
      - Hide the errors label on refresh captcha (LP: #947202).
      - Changed the name of the function assigned to the lambda that is called
        on passwordChanged signal from reset_password_page (LP: #945080).
      - Made on_user_validated also emit stopProcessing so callers can hide
        any processing overlay they are showing (LP: #945094).
      - Fixed: Qt UI: there is not loading overvaly while validating an
        email address (LP: #944767).
      - Fixed: Qt UI: clicking on the "Set Up Account" button takes me
        instantly to the verification page, even if there are form errors
        (LP: #934502).
      - Fix: [UIFe] Improve the display of errors in the Qt UI (LP: #938604).
      - Fixed: The header in the pages is above the overlay (LP: #934523).
      - Fixed: [UIFE] The padding of the wizard pages in the Qt UI is not
        correct  (LP: #934519).
    [ Manuel de la Pena <manuel.delapena@canonical.com> ]
      - Ensure that the strings used in sso do not have "ubuntu one" in them
        (LP: #933729).
      - Ensure that the strings used are the ones provided by design
        (LP: #937905).
      - Added the dialog that will be used to show that a certificate has issues
        (LP: #933729).
    [ Natalia B. Bidart <natalia.bidart@canonical.com> ]
      - Add proper titles and subtitles for the Login and Forgot password
        pages (LP: #945061).
      - Made UI modules to setup the gui logging logger (LP: #947469).
      - Fallback to the GTK+ UI when the specified ui_executable does
        not exist (LP: #939821).
      - Move the 'choose sign in page' to client code (U1 control panel
        in this case) (LP: #933576).
      - Do not mask ImportError by importing inside a function (LP: #939173).
      - No more strings coming up from the Designer ui files (LP: #938626).
    [ Roberto Alsina <roberto.alsina@canonical.com> ]
      - Made the network detection code return ONLINE if NM is not available
        (but still UNKNOWN if it's available and fails) (LP: #939703).
  * debian/control:
    - Updated Standards-Version to 3.9.93.
  * debian/watch:
    - Updated to fetch latest milestone.
  * Removed patches which were included upstream.

 -- Natalia Bidart (nessita) <natalia.bidart@ubuntu.com>  Tue, 06 Mar 2012 15:57:56 -0300

ubuntu-sso-client (2.99.5-0ubuntu2) precise; urgency=low

  * debian/patches/fix-939173.patch:
    - Do not mask ImportError by importing inside a function (LP: #939173).

 -- Natalia Bidart (nessita) <natalia.bidart@ubuntu.com>  Thu, 23 Feb 2012 10:50:43 -0300

ubuntu-sso-client (2.99.5-0ubuntu1) precise; urgency=low

  * New upstream release:
    - Captcha loading is no longer failing for the Qt UI (LP: #933679).
    - Added stylesheets for the Qt UI.
    - Fixed: Qt UI: must call the backend passing reply_handler
      and error_handler (LP: #931452).
    - Make gettext return unicode strings. Also, transform arguments passed
      to the GLib spawnner to bytes (LP: #933632).
    - Try to load the qt main/ implementation when possible, if not default
      to the glib (LP: #933534).
    - Make the bin_dir discoverable when running from the system installation
      (LP: #933039).
    - Implement (so far dummy) timeout_func for the Qt frontend (LP: #933758).
  * debian/control:
    - adding missing dependency on gnome-keyring for python-ubuntu-sso-client
      (LP: #938693).
  * debian/patches/fix-938626.patch:
    - No more strings coming up from the Designer ui files so we ensure that
      those are marked for translation (LP: #938626).
  * debian/watch: updated milestone to 2.99.5.

 -- Natalia Bidart (nessita) <natalia.bidart@ubuntu.com>  Wed, 22 Feb 2012 16:53:51 -0300

ubuntu-sso-client (2.99.4-0ubuntu2) precise; urgency=low

  * debian/control: add a preferred recommended gui for ubuntu-sso-client.
  * debian/patches/01_fix-933632.patch:
    - Make gettext return unicode strings. Also, transform arguments passed to
      the GLib spawnner to bytes (LP: #933632).

 -- Natalia Bidart (nessita) <natalia.bidart@ubuntu.com>  Fri, 17 Feb 2012 14:09:54 -0300

ubuntu-sso-client (2.99.4-0ubuntu1) precise; urgency=low

  * New upstream release:
    - Execute the UI as a separate process from the sso main thread
      (LP: #919330).
    - Move the ping method from the credentials module to the
      UserManagement interface (LP: #929670).
    - The Gtk UI must handle errors from dbus when calling the backend
      (LP: #929820).
    - Migrated the GTK UI to use GI bindings (LP: #801111).
  * debian/control: added new binary packages as follow:
    - python-ubuntu-sso-client: the python library for the Ubuntu SSO client.
    - python-ubuntu-sso-client.tests: the test suite for the Ubuntu SSO client.
    - ubuntu-sso-client: the Ubuntu SSO client main service. Recommends the
      virtual package ubuntu-sso-client-gui.
    - ubuntu-sso-client-gtk: the GTK+ frontend for the Ubuntu SSO client.
    - ubuntu-sso-client-qt: the Qt frontend for the Ubuntu SSO client.
    - Both ubuntu-sso-client-gtk and ubuntu-sso-client-qt provide the virtual
      package ubuntu-sso-client-gui.
  * debian/rules: remove the rule to avoid installing the Qt bits.
  * debian/patches/00_fix-933039.patch:
    - Make the bin_dir discoverable when running from the system installation
      (LP: #933039).
  * debian/watch: updated milestone to 2.99.4.
  * debian/*.install: installation files for all the new binary packages.

 -- Natalia Bidart (nessita) <natalia.bidart@ubuntu.com>  Wed, 15 Feb 2012 14:56:44 -0300

ubuntu-sso-client (2.99.3-0ubuntu1) precise; urgency=low

  * New upstream release.
  * debian/watch: updated to latest active milestone.
  * debian/control: added new dependency on python-zope.interface.

 -- Natalia Bidart (nessita) <nataliabidart@gmail.com>  Thu, 02 Feb 2012 17:01:47 -0300

ubuntu-sso-client (2.99.2-0ubuntu1) precise; urgency=low

  * New upstream release.
  * debian/watch: updated to latest active milestone.

 -- Natalia Bidart (nessita) <nataliabidart@gmail.com>  Tue, 17 Jan 2012 16:05:02 -0300

ubuntu-sso-client (2.99.1-0ubuntu1) precise; urgency=low

  * New upstream release:
    [ Guillermo Gonzalez <guillermo.gonzalez@canonical.com> ]
      - Remove _ping_url inlineCallbacks and make it return a deferred in
        order to make it work with twisted 11.1 (LP: #910163).
  * debian/watch: download from latest milestone.

 -- Natalia Bidart (nessita) <natalia.bidart@canonical.com>  Tue, 03 Jan 2012 16:02:33 -0300

ubuntu-sso-client (2.99.0-0ubuntu1) precise; urgency=low

  * New upstream release:
    [ Alejandro J. Cura <alecu@canonical.com> ]
      - An async webclient with qtnetwork and libsoup backends, to be used for
        proxy support.
      - Use the dedicated time url (LP: #891644).
    [ Diego Sarmentero <diego.sarmentero@canonical.com> ]
      - Fixed pep8 issue.
      - Fix double back navigation in SSO reset code page (LP: #862403).
    [ Manuel de la Pena <manuel.delapena@canonical.com> ]
      - Fixed the tests by ensuring that the server and the client are
        correctly closed.
      - Changed the import from ubuntuone-dev-tools so that we do not use the
        deprecated API.
    [ Natalia B. Bidart <natalia.bidart@canonical.com> ]
      - Do not hardcode the app_name when showing the TC_NOT_ACCEPTED message
        (LP: #904917).
      - Pass module for test to u1trial properly.
      - Have a single executable to start the service (LP: #890416).
      - Lint fixes (LP: #890349).
    * debian/watch: tweak url so stable-3-0 tarballs are downloaded.
    * debian/control: update Standards-Version to 3.9.2.

 -- Natalia Bidart (nessita) <nataliabidart@gmail.com>  Tue, 20 Dec 2011 14:51:15 -0300

ubuntu-sso-client (1.4.0-0ubuntu1) oneiric; urgency=low

  * New upstream release:

    [ Alejandro J. Cura <alecu@canonical.com> ]
    - Do not remove a dead IPC client while iterating the list of clients
      (LP: #834224).

 -- Natalia Bidart (nessita) <nataliabidart@gmail.com>  Fri, 16 Sep 2011 13:10:23 -0300

ubuntu-sso-client (1.3.3-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Work correctly with static and GI bindings of gobject (LP: #829186)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Thu, 25 Aug 2011 21:18:50 +0200

ubuntu-sso-client (1.3.2-0ubuntu2) oneiric; urgency=low

  * Require python-qt4 to build, as distutils doesn't have optional deps
  * Don't install the qt port in the binary package yet, as it's not ready

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Tue, 26 Jul 2011 09:56:31 -0400

ubuntu-sso-client (1.3.2-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Support new CreateCollection API as well (LP: #805244) 

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Fri, 22 Jul 2011 16:12:21 -0400

ubuntu-sso-client (1.3.1-0ubuntu2) oneiric; urgency=low

  * cleanup leftover from the dh_python2 transition, 
    thanks to Stefano Rivera

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 29 Jun 2011 14:55:35 +0100

ubuntu-sso-client (1.3.1-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Invalid signature for CreateItem call (LP: #745540)
    - Never sees NetworkManager connection (LP: #791548)
    - Support new property names in secrets API (LP: #800294)
    - Deprecated DBus interfaces not marked as such (LP: #770269)
  * Update the watch file to point at the correct place.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Fri, 24 Jun 2011 15:14:18 -0400

ubuntu-sso-client (1.2.1-0ubuntu3) oneiric; urgency=low

  [ Michael Vogt ]
  * switch to dh_python2 and dh7

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 21 Jun 2011 17:23:18 +0200

ubuntu-sso-client (1.2.1-0ubuntu2) natty-proposed; urgency=low

  * debian/control
    - add gnome-keyring as Depends since is, for now, the only package that
    provides the org.freedesktop.secrets DBus service (LP: #769520).

 -- Natalia Bidart (nessita) <nataliabidart@gmail.com>  Tue, 26 Apr 2011 08:48:51 -0300

ubuntu-sso-client (1.2.1-0ubuntu1) natty; urgency=low

  * New upstream release:

  [ Alejandro J. Cura <alecu@canonical.com> ]
    - A new value was added the Secret DBus struct (LP: #734671).

 -- Natalia Bidart (nessita) <nataliabidart@gmail.com>  Tue, 12 Apr 2011 13:43:24 -0300

ubuntu-sso-client (1.2.0-0ubuntu1) natty; urgency=low

  * New upstream release:
    [ Natalia B. Bidart <natalia.bidart@canonical.com> ]
      - Captcha load warning is removed when retry is successful
      (LP: #703115).
  * debian/watch:
    - tweaked URL so stable downloads are detected.

 -- Natalia Bidart (nessita) <nataliabidart@gmail.com>  Wed, 30 Mar 2011 17:39:41 -0300

ubuntu-sso-client (1.1.12-0ubuntu1) natty; urgency=low

  * New upstream release:

    [ Natalia B. Bidart <natalia.bidart@canonical.com> ]
      - Tests for a particular package are now inside that package.
      - Register now uses the 'displayname' field to pass it on to SSO as
        display name (LP: #709494).
    [ Manuel de la Pena <mandel@themacaque.com> ]
      - Fix main issues.
      - First step of implementing the code in main on windows.
      - Fixed setup.py issues so that we can build .debs (LP: #735383).
      - Added the network status implementation for windows (LP: #727680).
      - Added an implementation of the keyring on windows (LP: #684967).
      - Added script to run tests on windows using u1trial (LP: #684988).
      - Added bat to run tests on windows (LP: #684988).

 -- Natalia Bidart (nessita) <nataliabidart@gmail.com>  Tue, 22 Mar 2011 23:31:22 -0300

ubuntu-sso-client (1.1.11-0ubuntu1) natty; urgency=low

  * New upstream release:

    [ Alejandro J. Cura <alecu@canonical.com> ]
      - Create a keyring named "default" if no default keyring found
      (LP:#708018).


 -- Natalia Bidart (nessita) <nataliabidart@gmail.com>  Thu, 03 Feb 2011 12:46:58 -0300

ubuntu-sso-client (1.1.10-0ubuntu1) natty; urgency=low

  * New upstream release:

    [ Natalia B. Bidart <natalia.bidart@canonical.com> ]
      - The service is not shutdown if ref count is not zero, even if the
        shutdown_func was queued (LP: #709200).
      - Test failures (caused by a buggy test) fixed (LP: #704941).


 -- Natalia Bidart (nessita) <nataliabidart@gmail.com>  Fri, 28 Jan 2011 13:38:28 -0300

ubuntu-sso-client (1.1.9-0ubuntu1) natty; urgency=low

  * New upstream release:

    [ Alejandro J. Cura <alecu@canonical.com> ]
    - Make sure the default keyring is unlocked when getting it (LP: #703343).

 -- Natalia Bidart (nessita) <nataliabidart@gmail.com>  Tue, 25 Jan 2011 10:56:54 -0300

ubuntu-sso-client (1.1.8-0ubuntu1) natty; urgency=low

  * New upstream release:

    [ Natalia B. Bidart <natalia.bidart@canonical.com>]
     - The service should shutdown when unused
       (LP: #701606),
     - On error, {find,clear,store}_credentials send proper CredentialsError
       signal (LP: #696676).
     - No more gobject dependency on non-GUI classes!
       (LP: #695798).
     - After login, if the storing of credentials fails, send LoginError
       (LP: #693531).
     - Use ubuntuone-dev-tools to run the tests and the lint checker
       (LP: #686606).

 -- Natalia Bidart (nessita) <nataliabidart@gmail.com>  Wed, 12 Jan 2011 15:59:23 -0300

ubuntu-sso-client (1.1.7-0ubuntu1) natty; urgency=low

  * New upstream release.

    [ Natalia B. Bidart <natalia.bidart@canonical.com> ]
       * Avoid generating an extra token when attempting to validate a user
         account (LP: #687523).
       * Documented CredentialsManagement interface (LP: #673054).

 -- Natalia Bidart (nessita) <nataliabidart@gmail.com>  Thu, 16 Dec 2010 13:32:36 -0300

ubuntu-sso-client (1.1.5-0ubuntu2) natty; urgency=low

  * No change rebuild with the new python

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 09 Dec 2010 11:53:18 +0100

ubuntu-sso-client (1.1.5-0ubuntu1) natty; urgency=low

  * New upstream release (1.1.5):

    [ Natalia B. Bidart <natalia.bidart@canonical.com> ]
      * Use "org.freedesktop.secrets" dbus service instead of
      "org.gnome.keyring" (LP: #683088).

  * New upstream release (1.1.4):

    [ Natalia B. Bidart <natalia.bidart@canonical.com> ]
      * Added a gtk.Notebook to ensure proper window resize at startup
        (LP: #682669).
      * Enabled window resizing to be more user friendly.
      * Remove outdated references to gnome keyring from docstrings.

  * New upstream release (1.1.3):

    [ Natalia B. Bidart <natalia.bidart@canonical.com> ]
      * Make UI more friendly to resizes and big fonts (LP: #627496).
      * Splitting GUI code out of backend (LP: #677518).
      * Credentials can now be stored using a DBus called (LP: #680253).
      * Status from SSO server is now case sensitive (LP: #653165).
      * Credentials should not be cleared if the ping wasn't made due to empty
        ping url (LP: #676679).

    [ Rodney Dawes <rodney.dawes@canonical.com> ]
     * Add the utils sub-package to the packages declaration so it installs
     (LP: #680593).

    [ Alejandro J. Cura <alecu@canonical.com> ]
      * Fully async keyring access thru DBus. Drops dependency with
      gnomekeyring (LP: #656545).

 -- Natalia Bidart (nessita) <nataliabidart@gmail.com>  Tue, 30 Nov 2010 10:22:11 -0300

ubuntu-sso-client (1.1.2-0ubuntu1) natty; urgency=low

  * New upstream release:

    [ Natalia B. Bidart <natalia.bidart@canonical.com> ]
      * The success page is not shown until the backend notifies that the ping
      finished successfully (LP: #667893).
      * Added a new DBus signal UserNotValidated to indicate when a user is
      registered but not validated (LP: #667899).
      * Added new workflow so email validation is requested if necessary.

 -- Natalia Bidart (nessita) <nataliabidart@gmail.com>  Thu, 04 Nov 2010 11:00:45 -0300

ubuntu-sso-client (1.1.1-0ubuntu1) natty; urgency=low

  * New upstream release (1.1.1):

    [ Alejandro J. Cura <alecu@canonical.com> ]
      * Call the dbus mainloop thread init (fixes LP: #656545).

    [ Natalia B. Bidart <natalia.bidart@canonical.com> ]
      * Added the new dbus iface to the executable. Deprecated a few Dbus
      constants.

    [ Natalia B. Bidart <natalia.bidart@canonical.com> ]
      * Adding a new DBus iface to manage credentials with flexible API (LP:
      #653113).

    [ Natalia B. Bidart <natalia.bidart@canonical.com> ]
      * Replace twisted gtk reactor with the standard gtk mainloop. (LP:
      #655327).

    [ Natalia B. Bidart <natalia.bidart@canonical.com> ]
      * The TC browser will not be shown until the TOS page has been loaded. A
      spinner is shown in the mean time (LP: #620456).
      * The TC browser does not allow link navigation other than the TOS page
      (LP: #616961).

    [ Natalia B. Bidart <natalia.bidart@canonical.com> ]
      * Terms and conditions label is now translatable. Added a button to be
      able to browse the TC (LP: 654534).

    [ Natalia B. Bidart <natalia.bidart@canonical.com> ]
      * Moved logic from DBus SSOCredentials module into a self-contained, DBus
      agnostic module called 'credentials' (LP: #653113).

    [ Natalia B. Bidart <natalia.bidart@canonical.com> ]
      * Isolating SSO login processor into a separated module (LP: #637204).

    [ Natalia B. Bidart <natalia.bidart@canonical.com> ]
      * Cleanup code and modules to prepare the code for the DBus API refactor.

    [ Natalia B. Bidart <natalia.bidart@canonical.com> ]
      * Made entries name to be unicode to avoid a faulty capitalization when
      using turkish locale (LP: #652939).

    [ Natalia B. Bidart <natalia.bidart@canonical.com> ]
      * Workaround for LP: #467397 (when using turkish locale, decimal module
      import fails).

    [ Natalia B. Bidart <natalia.bidart@canonical.com> ]
      * Added encoding declaration on every file. Fixed error passing from GUI
      in GTK signals (LP: #652318).

    [ Natalia B. Bidart <natalia.bidart@canonical.com> ]
      * Avoiding calling a callback twice for buttons (LP: #652248).

    [ Natalia B. Bidart <natalia.bidart@canonical.com> ]
      * Removed unneeded assert sentences and replaced with warning logging
      when necessary (LP: #649317).

  * New upstream release (1.1.0):

    [ Natalia B. Bidart <natalia.bidart@canonical.com> ]
      * Avoiding having the main window freezing when pinging the U1 server
      (LP: #645162).

    [ Natalia B. Bidart <natalia.bidart@canonical.com> ]
      * Do not create the login keyring, use default instead (LP: #639690).

    [ Natalia B. Bidart <natalia.bidart@canonical.com> ]
      * Avoid duplicating logging messages for module "main" (LP: #638981).

    [ Natalia B. Bidart <natalia.bidart@canonical.com> ]
      * Delay import of webkit to be able to build on non-graphical envs (LP:
      #628956).


 -- Natalia Bidart (nessita) <nataliabidart@gmail.com>  Mon, 11 Oct 2010 10:22:28 -0300

ubuntu-sso-client (1.0.3-0ubuntu1) maverick; urgency=low

  * New upstream release:

  [ Natalia B. Bidart <natalia.bidart@canonical.com> ]
    * Workaround for LP: #467397 (when using turkish locale, decimal module
    import fails).

  [ Natalia B. Bidart <natalia.bidart@canonical.com> ]
    * Made entries name to be unicode to avoid a faulty capitalization when
    using turkish locale (LP: #652939).

 -- Natalia Bidart (nessita) <nataliabidart@gmail.com>  Fri, 01 Oct 2010 12:00:54 -0300

ubuntu-sso-client (1.0.2-0ubuntu1) maverick; urgency=low

  * New upstream release:

  [ Natalia B. Bidart <natalia.bidart@canonical.com> ]
    * Avoiding having the main window freezing when pinging the U1 server (LP:
    #645162).

  [ Alejandro J. Cura <alecu@canonical.com> ]
    * Do not create the login keyring, use default instead. (LP: #639690)

  [ Natalia B. Bidart <natalia.bidart@canonical.com> ]
    * Avoid duplicating logging messages for module "main" (LP: #638981).

  [ Ken VanDine ]
  * debian/watch
    - Updated the watch file to find the download for the this series 

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 22 Sep 2010 14:52:25 -0400

ubuntu-sso-client (1.0.1-0ubuntu1) maverick; urgency=low

  * New upstream release:

  [ Natalia B. Bidart <natalia.bidart@canonical.com> ]
    * When authentication/registration is successful, ping production URL for
    Ubuntu One Servers (instead of egde's) (LP: #638100).

 -- Natalia Bidart (nessita) <nataliabidart@gmail.com>  Tue, 14 Sep 2010 19:28:09 -0300

ubuntu-sso-client (1.0.0-0ubuntu1) maverick; urgency=low

  * New upstream release:

  [ Natalia B. Bidart <natalia.bidart@canonical.com> ]
    * Import of gui module is delayed until actually needed, to remove high
    level dependency against graphical modules.

  [ Natalia B. Bidart <natalia.bidart@canonical.com> ]
    * Passing a second parameter 'None' to gnomekerying.create_sync (LP:
    #634465).

 -- Natalia Bidart (nessita) <nataliabidart@gmail.com>  Mon, 13 Sep 2010 11:43:43 -0300

ubuntu-sso-client (0.99.6-0ubuntu1) maverick; urgency=low

  * New upstream release (0.99.6):

  [Natalia B. Bidart <natalia.bidart@canonical.com>]
    * Restoring NoAccessToken, DBUS_IFACE_AUTH_NAME, and DBUS_PATH_AUTH to avoid
    API breakage on old versions of ubuntuone-client (LP: #633220).

  [Natalia B. Bidart <natalia.bidart@canonical.com>]
    * Added handler for SIGHUP to stop the service (LP: #633300).

  * New upstream release (0.99.5):

  [Natalia B. Bidart <natalia.bidart@canonical.com>]
    * Signals from the DBus "UserManagement" service are now filtered by app
    name (LP: #629025).

  [Natalia B. Bidart <natalia.bidart@canonical.com>]
    * Fixed indentantion block (LP: #632043).

  [Natalia B. Bidart <natalia.bidart@canonical.com>]
    * Removed all the old auth mechanism (LP: #616121).
    * Added pylint check, fixed all pylint errors.

  [John R. Lenton <john.lenton@canonical.com>]
    * Enable setting USSOC_PING_URL and USSOC_SERVICE_URL to override the
    (otherwise hardcoded) ping url and service url in ussoc (LP: #616110).

  [Natalia B. Bidart <natalia.bidart@canonical.com>]
    * Hiding unused fields to make the registration UI a bit shorter (LP:
    #627440).

  [Natalia B. Bidart <natalia.bidart@canonical.com>]
    * U1 url to ping server with tokens needs to be https (LP: #627700).

  [Alejandro J. Cura <alecu@canonical.com>]
    * Disabled support for plugins for the embedded webkit (LP: #617041)

  [Natalia B. Bidart <natalia.bidart@canonical.com>]
    * Token name is now built using '@'. Old quoted tokens are migrated to
    the new names (LP: #628158).

  [Natalia B. Bidart <natalia.bidart@canonical.com>]
    * Pages have now a default_widget attribute that is the default widget
    when the page is displayed to the user (LP: #62552).

  [Natalia B. Bidart <natalia.bidart@canonical.com>]
    * User-cancelation signal is sent when the window is close and no other
    event was generated (LP: #627419).

  [Natalia B. Bidart <natalia.bidart@canonical.com>]
    * Made DBus signal connection more robust (LP: #624127).

 -- Natalia Bidart (nessita) <nataliabidart@gmail.com>  Wed, 08 Sep 2010 16:25:02 -0300

ubuntu-sso-client (0.99.4-0ubuntu1) maverick; urgency=low

  * New upstream release:

  [ natalia.bidart@canonical.com ]
    * Validate form data for verify token page, request password token and set
    new password (LP: #625361).
    * Validate password strength on reset password page (LP: #616528).
    * Labels are not as wide as the parent windowm but a little bit less wide
    (LP: #625009).

  [ Alejandro J. Cura <alecu@canonical.com> ]
    * Store the credentials after the email validation step (LP: #625003)

  [ natalia.bidart@canonical.com
    * Every form can be submitted by activating the buttons and/or the entries
    (LP: #616421).

  [ David Planella <david.planella@ubuntu.com> ]
    * Make setup.py actually use python-distutils-extra, which will allow the
    .deb package to build the POT file required to import translations into
    Launchpad (LP: #624891).

  [ natalia.bidart@canonical.com ]
    * Errors from SSO servers are being shown now to users, matching
    error-specific to fields (LP: #616101).
    * Also, be robust when SSO server answer with a string where it's supposed
    to be a list (LP: #623447).

  [ Alejandro J. Cura <alecu@canonical.com> ]
    * Use the keyring unlocking gnomekeyring APIs (LP: #623622)
    * Search all keyrings for the credentials (LP: #624033)

  [ natalia.bidart@canonical.com ]
    * Customize "help_text" for the login only dialog (LP: #624097).
    * Label areas are as wide as the parent window (LP: #616551).

  [ Alejandro J. Cura <alecu@canonical.com> ]
    * The list of error strings as returned by the SSO webservice can't go thru
    DBus (LP: #624358).

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 30 Aug 2010 19:10:13 +0200

ubuntu-sso-client (0.99.3-0ubuntu1) maverick; urgency=low

  * New upstream release:

  [ john.lenton@canonical.com ]
   * changed the "reset password" header and help text (LP: #622991).
   * changed the "verify" header and help text, and removed the email image
     (LP: #622988, LP: #622830).

  [ john.lenton@canonical.com ]
    * added a reload button for the captcha (LP: #616459).

  [ natalia.bidart@canonical.com ]
    * Warnings for entries are shown as secondary icons (LP: #624336).

  [ natalia.bidart@canonical.com ]
    * Main window can not be maximized (LP: #624101).

  [ natalia.bidart@canonical.com ]
    * Pinging the U1 url is done before sending any credential signal. Also,
    ping is signed with user credentials (LP: #624034).

  [ john.lenton@canonical.com ]
    * Put a border around the webkit box (LP: #624240).
    * Hide the T&C link of no T&C url is provided (LP: #624241).
    * Hide the help text on the T&C page (LP: #624242).

  [ Alejandro J. Cura <alecu@canonical.com> ]
    * Turn exceptions into a dictionary able to go thru DBus (LP: #624018)

 -- Natalia Bidart (nessita) <nataliabidart@gmail.com>  Wed, 25 Aug 2010 22:07:42 -0300

ubuntu-sso-client (0.99.2-0ubuntu1) maverick; urgency=low

  * New upstream release:

  [ Natalia Bidart ]
  * Ping an URL when the login was successful (LP: #621226).
  * Signals propagates the app_name to be later check by the GUI so only those
    belonging to it will be  processed (LP: #621377).

  [ Natalia Bidart ]
  * Added modifications to setup.py and a new po/ directory with the file that has
    strings that need translation (LP: #616515).

  [ Rodrigo Moya ]
  * Add clear_token DBus API (LP: #622833).

  [ Alejandro J. Cura ]
  * Make all the signals return the errors as dictionaries (LP: #616105).
  * Credential* signals should return the app_name as well (LP: #621377).

  [ Alejandro J. Cura ]
  * Use Ubuntu One OAuth credentials if they are already stored in the keyring
    (LP: #617355).

  [ Natalia Bidart ]
  * Final outcome (as signal) is emitted after user closes the main window (LP:
    #620008).

 -- Natalia Bidart (nessita) <nataliabidart@gmail.com>  Tue, 24 Aug 2010 12:50:57 -0300

ubuntu-sso-client (0.99.1-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - Delayed opening the webkit browser to the latest possible. (LP: #617041)
    (nataliabidart)
    - Use a proper dictionary with different attributes for each key so old
    keys are not overwritten nor deleted. (LP: #617347) (alecu)

 -- Natalia Bidart (nessita) <nataliabidart@gmail.com>  Thu, 19 Aug 2010 13:02:10 -0300

ubuntu-sso-client (0.99-0ubuntu1) maverick; urgency=low

  * New upstream release.

 -- Natalia Bidart (nessita) <natalia.bidart@gmail.com>  Wed, 11 Aug 2010 21:00:08 -0300

ubuntu-sso-client (0.98-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format

 -- Natalia Bidart (nessita) <natalia.bidart@gmail.com>  Wed, 11 Aug 2010 15:09:32 -0300

ubuntu-sso-client (0.0.3-0ubuntu1) maverick; urgency=low

  * New upstream release.

 -- Natalia Bidart (nessita) <natalia.bidart@canonical.com>  Wed, 16 Jun 2010 15:11:04 -0300

ubuntu-sso-client (0.0.2-0ubuntu1) maverick; urgency=low

  * New upstream release.

 -- Natalia Bidart (nessita) <natalia.bidart@canonical.com>  Tue, 15 Jun 2010 09:19:03 -0300

ubuntu-sso-client (0.0.1) maverick; urgency=low

  * Initial release. This is a source split from the project ubuntuone-client.

 -- Natalia Bidart (nessita) <natalia.bidart@canonical.com>  Mon, 14 Jun 2010 16:58:05 -0300
